# intrtest.MAK - Example of hooking the hardware timer (int-8) in a DPMI32
#               program.
#
#

# -Tm2          tell assembler to use 2 passes to resolve forward references
# -w-par        don't complain about unused parameters
# -vi           expand functions inline (doesn't help my constructors, dammit!)
# -O            optimize
# -v            include debugging symbols
# -WX           generate 32-bit DPMI executable
#
all: intrtest.exe

intr2.obj:   intr2.asm
    tasm32 /r /D__CDECL__ /m2 /ml intr2.asm
# ok     tasm32 /r /D__CDECL__ /m2 /ml intr2.asm
# bad    tasm32 /Zi /m2 /ml intr2.asm
# bad    tasm32 /D__CDECL__ /r /zi /m2 /ml intr2.asm

intr.obj: intr.c
    bcc32 -c -v -WX intr.c

intrtest.obj: intrtest.cpp
    bcc32 -w-par -c -v -WX intrtest.cpp

intrtest.exe:    intrtest.obj intr2.obj intr.obj
    bcc32 -v -WX intrtest.obj intr.obj intr2.obj
#    tlink32 -Tpe -ax -v c0x32 intrtest intr intr2,intr,,dpmi32 cw32 import32

