#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef __FLAT__
#include "..\types\types.h"
#else
typedef unsigned char  Bit8;
typedef unsigned short Bit16;
#endif

#include "..\intel\timestmp.h"
#include "..\wattcp\tcp.h"

#ifdef CLK_86
extern Bit32 *bios_tick_counter;
#endif

int main(int argc, char *argv[])
{
   PentiumClock now, PC;
   double s;
   int j,k;
   Bit32 t, h,l;
   Bit64 nt;

   hwt_init();
   t = set_timeout(2);
   for (j = 0; j != 10; ++j) {
      printf("waiting for %lu:", t);
      while (!chk_timeout(t)) ;
      t = set_timeout(2);
      now.set();
      s = now.get_seconds();
#ifdef CLK_86
      printf("   BTC = %lu, now = %f\n", *bios_tick_counter, s);
#else
      printf("   now = %f\n", s);
#endif
      }

   for (j = 0; j != 30; ++j) {
      now.set();
      s = now.get_seconds();
#ifdef CLK_86
      printf("BTC = %lu, now = %f\n", *bios_tick_counter, s);
#else
      printf("now = %f\n", s);
#endif
      for (k = 0; k != 30000; ++k) now.set();
      for (k = 0; k != 30000; ++k) now.set();
      for (k = 0; k != 30000; ++k) now.set();
      for (k = 0; k != 30000; ++k) now.set();
      for (k = 0; k != 30000; ++k) now.set();
      for (k = 0; k != 30000; ++k) now.set();
      }
   }
